ParkingManagementSystem/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('parkmanage.urls')),
]

parkmanage/urls.py
from . import views
from django.urls import path

app_name = 'parkmanage'
urlpatterns= [
    path('', views.ParkInfoMain, name='ParkInfoMain'),
    path('<int:pk>/', views.ParkInfoUpdate, name='ParkInfoUpdate'),
    path('<int:pk>/delete/', views.ParkInfoDelete, name='ParkInfoDelete')
]

parkmanage/models.py
from django.db import models

# Create your models here.

class CarInfo(models.Model):
    class meta:
        db_table = '차량정보'
    carCode = models.CharField(max_length=20, verbose_name='차량번호')
    carInTime = models.DateTimeField(verbose_name='입차시간', null=True, blank=True)
    carOutTime = models.DateTimeField(verbose_name='출차시간', null=True, blank=True)
    payDo = models.BooleanField(default=False, verbose_name='결제유무')
    payInfo = models.CharField(max_length=20, verbose_name='결제수단')
    regularCar = models.BooleanField(default=False, verbose_name='정기차량 유무')
    carLocation = models.CharField(max_length=20, verbose_name='차량위치')
    setDelete = models.BooleanField(default=False, verbose_name='삭제여부')

    def __str__(self):
        return self.carCode

parkmanage/views.py
from django.shortcuts import render, redirect
from .models import *

# Create your views here.

#차량관리 조회
def ParkInfoMain(request):
    carinfo = CarInfo.objects.filter(setDelete=False).order_by('carInTime')
    return render(request, 'parkmanage/main.html', {'carinfo':carinfo})

#세부항목 조회 및 수정
def ParkInfoUpdate(request, pk):
    carUpdate = CarInfo.objects.get(pk=pk)
    print(carUpdate.carInTime)
    print(carUpdate.carOutTime)
    if request.method == "POST":
        print("변경")
        carUpdate.carCode = request.POST['carNumber']
        carUpdate.carInTime = request.POST['inTime']
        carUpdate.carOutTime = request.POST['outTime']
        carUpdate.payDo = request.POST['paymentStatus']
        carUpdate.payInfo = request.POST['paymentMethod']
        carUpdate.regularCar = request.POST['periodicStatus']
        carUpdate.carLocation = request.POST['location']
        carUpdate.save()
        return redirect('/')
    return render(request, 'parkmanage/update.html', {'carUpdate':carUpdate})

#삭제
def ParkInfoDelete(request, pk):
    if request.method == "POST":
        print("삭제")
        carDelete = CarInfo.objects.get(pk=pk)
        carDelete.setDelete = True
        carDelete.save()
        return redirect('/')
    return render(request, 'parkmanage/main.html')    

parkmanage/templates/parkmanage/main.html
{% load static %}
<head>
    <link rel="stylesheet" href="{% static 'css/main.css' %}">
</head>
<!-- 부트스트랩코드 -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.2/css/bootstrap.min.css">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.2/css/bootstrap-theme.min.css">
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.2/js/bootstrap.min.js"></script>
<div class="container-fluid">
    <div class="row">
        <div class="col-md-0"></div>
        <div class="col-md-12">
            <br><br>
            <div class='menu'>
                <ul>
                  <li class="active"><a href="#">차량관리</a></li>
                  <li><a href="">호출내역</a></li>
                  <li><a href="">공간확인</a></li>
                  <li><a href="">오류내역</a></li>
                </ul>
            </div>
            <form action="" method="POST">
            {% csrf_token %}
            <table class="table table-hover" style="text-align: center">
                <thead class="thead-light">
                    <tr>
                        <th style="text-align: center">번호</th>
                        <th style="text-align: center">차량번호</th>
                        <th style="text-align: center">입차시간</th>
                        <th style="text-align: center">출차시간</th>
                        <th style="text-align: center">결제유무</th>
                        <th style="text-align: center">결제수단</th>
                        <th style="text-align: center">정기여부</th>
                        <th style="text-align: center">차량위치</th>
                    </tr>
                </thead>
                <tbody>
                    {% for i in carinfo %}
                    <tr>
                        <td>{{ forloop.counter }}</td>
                        <td><a href="{% url 'parkmanage:ParkInfoUpdate' i.pk %}">{{ i.carCode }}</a></td>
                        <td>{{ i.carInTime }}</td>
                        <td>{{ i.carOutTime }}</td>
                        {% if i.payDo == True %}
                        <td>결제완료</td>
                        {% else %}
                        <td>미결제</td>
                        {% endif %}
                        <td>{{ i.payInfo }}</td>
                        {% if i.regularCar == True %}
                        <td>정기</td>
                        {% else %}
                        <td>비정기</td>
                        {% endif %}
                        <td>{{ i.carLocation}}</td>
                        <form action="{% url 'parkmanage:ParkInfoDelete' i.pk %}" method="POST">
                        {% csrf_token %}
                        <td><input type="submit" class="btn btn-danger" value="삭제"></td>
                        </form>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
            </form>
        </div>
        <div class="col-md-0"></div>
    </div>
</div>

parkmanage/templates/parkmanage/update.html
<!-- 부트스트랩코드 -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.2/css/bootstrap.min.css">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.2/css/bootstrap-theme.min.css">
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.2/js/bootstrap.min.js"></script>
<div class="container-fluid">
    <div class="row">
    <div class="col-md-0"></div>
    <div class="col-md-12">
    <br>
    <form action="{% url 'parkmanage:ParkInfoUpdate' carUpdate.pk %}" method="POST">
        {% csrf_token %}
        <table class="table table-hover">
          <tr style= "background-color:gray">
            <th style="color:white">차량정보</th>
            <td></td>
          </tr>
          <tr>
            <th>차량번호</th>
            <td><input type="text" id="carNumber" name="carNumber" class="form-control mb-4" value="{{ carUpdate.carCode }}"></td>
          </tr>
          <tr>
            <th>입차시간</th>
            <td><input type="text" id="inTime" name="inTime" class="form-control mb-4" value="{{ carUpdate.carInTime|date:'Y-m-d H:i' }}"></td>
          </tr>
          <tr>
            <th>출차시간</th>
            <td><input type="text" id="outTime" name="outTime" class="form-control mb-4" value="{{ carUpdate.carOutTime|date:'Y-m-d H:i' }}"></td>
          </tr>
          <tr>
            <th>결제여부</th>
            <td>
              <input type="radio" id="paymentStatus" name="paymentStatus" value="True" {% if carUpdate.payDo == True %} checked="checked" {% endif %}>결제완료
              <input type="radio" id="paymentStatus" name="paymentStatus" value="False" {% if carUpdate.payDo == False %} checked="checked" {% endif %}>미결제 
              <td></td>
            </td>
          </tr>
          <tr>
            <th>결제수단</th>
            <td><input type="text" id="paymentMethod" name="paymentMethod" class="form-control mb-4" value="{{ carUpdate.payInfo }}"></td>
          </tr>
          <tr>
            <th>정기여부</th>
            <td>
              <input type="radio" id="periodicStatus" name="periodicStatus" value="True" {% if carUpdate.regularCar == True %} checked="checked" {% endif %}>정기
              <input type="radio" id="periodicStatus" name="periodicStatus" value="False" {% if carUpdate.regularCar == False %} checked="checked" {% endif %}>비정기 
              <td></td>
            </td>
          </tr>
          <tr>
            <th>차량위치</th>
            <td><input type="text" id="location" name="location" class="form-control mb-4" value="{{ carUpdate.carLocation }}"></td>
          </tr>
        </table>
        <input type="submit" class="btn btn-info" value="저장">
    </form>
    </div>
    <div class="col-sm-0"></div>
    </div>
</div>